I am trying to build and try Qt/3D with QML bindings using QT Creator on Kubuntu 10.10 64 bit and these instructions. I am using the qt-everywhere-opensource-src-4.7.0.tar.gz source instead of the http://qt.gitorious.org/qt/kinetic/ because the repository is for the 4.6 version and I can't get it to build with the current Qt/3D git clone.

Almost all of the examples run as expected, except for the qml3d QML viewer. The error I get is: "module "Qt3D" is not installed". Could it be that a Qt3D module is in fact already compiled from the sources I am using, and just needs to be installed, and if so, how can I do that? Or do I need to get a QML-compatible 4.7 source tarball from somewhere else and recompile? The latest commits in http://qt.gitorious.org/qt/kinetic/ are from February, so could this be an outdated link?